IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_saleprds]') AND type = 'U')
CREATE TABLE [dbo].[mps_saleprds]
(
    [sp_id] bigint NOT NULL IDENTITY(1, 1),
    [sp_cmpid] int NULL DEFAULT((0)),
    [sp_bcid] int NULL DEFAULT((0)),
    [sp_dpid] int NULL DEFAULT((0)),
    [sp_cuid] int NULL DEFAULT((0)),
    [sp_type] varchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_prdid] bigint NULL DEFAULT((0)),
    [sp_category1] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_category2] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_category3] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_code] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_caption] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_model] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_spec] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_unit] nvarchar(20) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_pack] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_ext] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_amount] int NULL DEFAULT((0)),
    [sp_price] decimal(18, 2) NULL DEFAULT((0)),
    [sp_score] int NULL DEFAULT((0)),
    [sp_key] varchar(30) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_click] int NULL DEFAULT((0)),
    [sp_sale] int NULL DEFAULT((0)),
    [sp_limited] int NULL DEFAULT((0)),
    [sp_price0] decimal(18, 2) NULL DEFAULT((0)),
    [sp_additional] nvarchar(500) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_special] nvarchar(500) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_status] nvarchar(20) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_use] int NULL DEFAULT((1)),
    [sp_order] int NULL DEFAULT((99999)),
    [sp_begin] datetime NULL DEFAULT('1900-01-01'),
    [sp_end] datetime NULL DEFAULT('1900-01-01'),
    [sp_tag] int NULL DEFAULT((0)),
    [sp_pcid] int NULL DEFAULT((0)),
    [sp_icon] varchar(200) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_text] nvarchar(max) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sp_brand] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    CONSTRAINT [PK_mps_saleprds] PRIMARY KEY ([sp_id] ASC)
)